'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const graphql = require('graphql');

const useDisableIntrospection = (options) => {
    const disableIf = options === null || options === void 0 ? void 0 : options.disableIf;
    return {
        onValidate: disableIf
            ? ({ addValidationRule, context, params }) => {
                if (disableIf({ context, params })) {
                    addValidationRule(graphql.NoSchemaIntrospectionCustomRule);
                }
            }
            : ({ addValidationRule }) => {
                addValidationRule(graphql.NoSchemaIntrospectionCustomRule);
            },
    };
};

exports.useDisableIntrospection = useDisableIntrospection;
